Bug 866766 - Cleanup phase of policycoreutils-restorecond fails during updating to policycoreutils-restorecond-2.1.13-8.fc18.x86_64
Cleanup phase of policycoreutils-restorecond fails during updating to policyc...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: policycoreutils (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-16 01:20 EDT by Joachim Backes
Modified: 2012-12-11 19:30 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-11 19:30:14 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joachim Backes 2012-10-16 01:20:09 EDT
Description of problem:
Updating my F18 system has problems in yum cleanup phase of policycoreutils-restorecond::

/var/tmp/rpm-tmp.nKzPCr: line 1: fg: no job control
error: %preun(policycoreutils-restorecond-2.1.13-7.fc18.x86_64) scriptlet failed, exit status 1
Error in PREUN scriptlet in rpm package policycoreutils-restorecond-2.1.13-7.fc18.x86_64
error: policycoreutils-restorecond-2.1.13-7.fc18.x86_64: erase failed


Version-Release number of selected component (if applicable):
policycoreutils-restorecond-2.1.13-7.fc18.x86_64

How reproducible:
didn't try

Steps to Reproduce:
1.yum update
2.
3.
  
Actual results:
see description

Expected results:


Additional info:
Comment 1 Joachim Backes 2012-10-16 01:34:17 EDT
I could do the cleanup by

rpm -e policycoreutils-restorecond-2.1.13-7.fc18.x86_64 --justdb
Comment 2 Daniel Walsh 2012-10-16 13:04:04 EDT
This is fixed in policycoreutils-restorecond-2.1.13-8.fc18 but installed rpms will continue to have the problem until they get removed. using the command stated.

Or 

rpm -e policycoreutils-restorecond-2.1.13-7.fc18.x86_64 --noscripts
Comment 3 Fedora Update System 2012-12-10 09:11:31 EST
policycoreutils-2.1.13-44.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/policycoreutils-2.1.13-44.fc18
Comment 4 Fedora Update System 2012-12-10 16:12:46 EST
Package policycoreutils-2.1.13-44.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing policycoreutils-2.1.13-44.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-20070/policycoreutils-2.1.13-44.fc18
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-12-11 19:30:16 EST
policycoreutils-2.1.13-44.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.